<?php

// Propriedades [qtdbtn] =     Quantidade de botoes por linha, max 3

unset($_SESSION);
defined('BASEPATH') OR exit('No direct script access allowed');

class Televisao extends CI_Controller
{

    function __construct()
    {

        parent::__construct();

    }

    public function index()
    {

        $this->load->helper('file');

        $data['imagens'] = get_filenames('assets/gktv/imagens');
        $data['videos'] = get_filenames('assets/gktv/videos');

        #$this->load->view('televisao_header');
        $this->load->view('televisao', $data);
        //$this->load->view('televisao_footer');
    }

    public function getPacienteFilaTV()
    {
        $ip = "";

        if(CONTROLE_MAQUINA_WEB == 'S'){
            if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
                $ip = $_SERVER['HTTP_CLIENT_IP'];
            } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
                $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
            } else {
                $ip = $_SERVER['REMOTE_ADDR'];
            }
        }
        
        $this->load->model('Fila');
        $retornoModel = $this->Fila->getFilaTV($ip);

        exit(json_encode($retornoModel));

    }

    public function setFilaTVChamado(){
        $handleFila = $this->input->post('handleFila');

        $this->load->model('Fila');

        $retornoModel = $this->Fila->setFilaTVChamado($handleFila);

        exit(json_encode($retornoModel));

    }

    public function getDataHoraServidor(){
        exit(json_encode(date('d/m/Y H:i')));
    }

    public function getConstant()
    {
        header('Content: application/json', 1);
        $retorno = constant($this->input->post('idConstant'));

        if (strpos($retorno, ',') !== false)
            $retorno = explode(',', $retorno);

        exit(json_encode($retorno));
    }
}
